Gross profit during the specified time period for given rollup.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/sequencer-gross-profit \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/sequencer-gross-profit?project=katana"
{ "katana": [ { "date": "2026-04-19", "value": 9092.087215601838 }, { "date": "2026-04-18", "value": 8569.864789228304 }, { "date": "2026-04-17", "value": 10150.811591263926 }, { "date": "2026-04-16", "value": 9014.29691969123 }, { "date": "2026-04-15", "value": 11071.545702148986 } ] }
Project slug (comma-separated for multiple).
arbitrum
base
katana
optimism
unichain
zksync
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK